Subject: bug#63089: [PATCH] Display offscreen matched openparen

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Apr 2023 14:05:56 +0300

> From: Shynur Xie <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 28 Apr 2023 12:36:03 +0000
> 
> > The original code didn't use backticks, so why do you need it in the
> > new version?
> 
> My _original_ modification made some lines too long with `list' and
> `cons', so I used all backticks in that function.  Since there's no
> such problem in the subsequent modifications, I will use `list' and
> `cons' if you think backticks are unnecessary (or weird).

Backticks usually imply some run-time processing, which AFAIU here is
not required.

> > What is the status of your legal paperwork?
> 
> My assignment process with the FSF is complete.

Yes, I see it on file now.

> +(defcustom show-paren-openparen-face-in-message '(:foreground "green")
> +  "Set face for the matched offscreen openparen shown in the echo area.

 "Face for showing in the echo area matched open paren that is off-screen."

Also, I think the default value should be the default face, so that
the default behavior is not changed.

> +By default, the line containing the matched offscreen openparen is
> +shown in the echo area, where the openparen's face will be propertized
> +by this option."

"face will be propertized: is incorrect: we propertize text with a
face, we don't propertize the face.

> +  :type '(choice face sexp (const nil))
> +  :version "30.0")

This should be "30.1".  Emacs doesn't have NN.0 versions.

>  (defun blink-paren-open-paren-line-string (pos)
> -  "Return the line string that contains the openparen at POS."
> +  "Return the line string that contains the openparen at POS.
> +Remove the line string's properties but give the openparen a face."

This should include the name of the face, so that users could find it
easier.

Thanks.